monitors

package
v1.0.3 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Jan 3, 2025 License: Apache-2.0 Imports: 15 Imported by: 0

Documentation

Index

Constants

View Source
const DeleteMonitorsMonitorIDNoContentCode int = 204

DeleteMonitorsMonitorIDNoContentCode is the HTTP code returned for type DeleteMonitorsMonitorIDNoContent

View Source
const DeleteMonitorsMonitorIDNotFoundCode int = 404

DeleteMonitorsMonitorIDNotFoundCode is the HTTP code returned for type DeleteMonitorsMonitorIDNotFound

View Source
const GetMonitorsBadRequestCode int = 400

GetMonitorsBadRequestCode is the HTTP code returned for type GetMonitorsBadRequest

View Source
const GetMonitorsMonitorIDNotFoundCode int = 404

GetMonitorsMonitorIDNotFoundCode is the HTTP code returned for type GetMonitorsMonitorIDNotFound

View Source
const GetMonitorsMonitorIDOKCode int = 200

GetMonitorsMonitorIDOKCode is the HTTP code returned for type GetMonitorsMonitorIDOK

View Source
const GetMonitorsOKCode int = 200

GetMonitorsOKCode is the HTTP code returned for type GetMonitorsOK

View Source
const PostMonitorsBadRequestCode int = 400

PostMonitorsBadRequestCode is the HTTP code returned for type PostMonitorsBadRequest

View Source
const PostMonitorsCreatedCode int = 201

PostMonitorsCreatedCode is the HTTP code returned for type PostMonitorsCreated

View Source
const PostMonitorsNotFoundCode int = 404

PostMonitorsNotFoundCode is the HTTP code returned for type PostMonitorsNotFound

View Source
const PutMonitorsMonitorIDAcceptedCode int = 202

PutMonitorsMonitorIDAcceptedCode is the HTTP code returned for type PutMonitorsMonitorIDAccepted

View Source
const PutMonitorsMonitorIDBadRequestCode int = 400

PutMonitorsMonitorIDBadRequestCode is the HTTP code returned for type PutMonitorsMonitorIDBadRequest

View Source
const PutMonitorsMonitorIDNotFoundCode int = 404

PutMonitorsMonitorIDNotFoundCode is the HTTP code returned for type PutMonitorsMonitorIDNotFound

Variables

This section is empty.

Functions

This section is empty.

Types

type DeleteMonitorsMonitorID

type DeleteMonitorsMonitorID struct {
	Context *middleware.Context
	Handler DeleteMonitorsMonitorIDHandler
}
DeleteMonitorsMonitorID swagger:route DELETE /monitors/{monitor_id} Monitors deleteMonitorsMonitorId

Delete a monitor

func NewDeleteMonitorsMonitorID

func NewDeleteMonitorsMonitorID(ctx *middleware.Context, handler DeleteMonitorsMonitorIDHandler) *DeleteMonitorsMonitorID

NewDeleteMonitorsMonitorID creates a new http.Handler for the delete monitors monitor ID operation

func (*DeleteMonitorsMonitorID) ServeHTTP

type DeleteMonitorsMonitorIDDefault

type DeleteMonitorsMonitorIDDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

DeleteMonitorsMonitorIDDefault Unexpected Error

swagger:response deleteMonitorsMonitorIdDefault

func NewDeleteMonitorsMonitorIDDefault

func NewDeleteMonitorsMonitorIDDefault(code int) *DeleteMonitorsMonitorIDDefault

NewDeleteMonitorsMonitorIDDefault creates DeleteMonitorsMonitorIDDefault with default headers values

func (*DeleteMonitorsMonitorIDDefault) SetPayload

func (o *DeleteMonitorsMonitorIDDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete monitors monitor ID default response

func (*DeleteMonitorsMonitorIDDefault) SetStatusCode

func (o *DeleteMonitorsMonitorIDDefault) SetStatusCode(code int)

SetStatusCode sets the status to the delete monitors monitor ID default response

func (*DeleteMonitorsMonitorIDDefault) WithPayload

WithPayload adds the payload to the delete monitors monitor ID default response

func (*DeleteMonitorsMonitorIDDefault) WithStatusCode

WithStatusCode adds the status to the delete monitors monitor ID default response

func (*DeleteMonitorsMonitorIDDefault) WriteResponse

func (o *DeleteMonitorsMonitorIDDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteMonitorsMonitorIDHandler

type DeleteMonitorsMonitorIDHandler interface {
	Handle(DeleteMonitorsMonitorIDParams) middleware.Responder
}

DeleteMonitorsMonitorIDHandler interface for that can handle valid delete monitors monitor ID params

type DeleteMonitorsMonitorIDHandlerFunc

type DeleteMonitorsMonitorIDHandlerFunc func(DeleteMonitorsMonitorIDParams) middleware.Responder

DeleteMonitorsMonitorIDHandlerFunc turns a function with the right signature into a delete monitors monitor ID handler

func (DeleteMonitorsMonitorIDHandlerFunc) Handle

Handle executing the request and returning a response

type DeleteMonitorsMonitorIDNoContent

type DeleteMonitorsMonitorIDNoContent struct {
}

DeleteMonitorsMonitorIDNoContent Resource successfully deleted.

swagger:response deleteMonitorsMonitorIdNoContent

func NewDeleteMonitorsMonitorIDNoContent

func NewDeleteMonitorsMonitorIDNoContent() *DeleteMonitorsMonitorIDNoContent

NewDeleteMonitorsMonitorIDNoContent creates DeleteMonitorsMonitorIDNoContent with default headers values

func (*DeleteMonitorsMonitorIDNoContent) WriteResponse

func (o *DeleteMonitorsMonitorIDNoContent) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteMonitorsMonitorIDNotFound

type DeleteMonitorsMonitorIDNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

DeleteMonitorsMonitorIDNotFound Not Found

swagger:response deleteMonitorsMonitorIdNotFound

func NewDeleteMonitorsMonitorIDNotFound

func NewDeleteMonitorsMonitorIDNotFound() *DeleteMonitorsMonitorIDNotFound

NewDeleteMonitorsMonitorIDNotFound creates DeleteMonitorsMonitorIDNotFound with default headers values

func (*DeleteMonitorsMonitorIDNotFound) SetPayload

func (o *DeleteMonitorsMonitorIDNotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete monitors monitor Id not found response

func (*DeleteMonitorsMonitorIDNotFound) WithPayload

WithPayload adds the payload to the delete monitors monitor Id not found response

func (*DeleteMonitorsMonitorIDNotFound) WriteResponse

func (o *DeleteMonitorsMonitorIDNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteMonitorsMonitorIDParams

type DeleteMonitorsMonitorIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*The UUID of the monitor
	  Required: true
	  In: path
	*/
	MonitorID strfmt.UUID
}

DeleteMonitorsMonitorIDParams contains all the bound params for the delete monitors monitor ID operation typically these are obtained from a http.Request

swagger:parameters DeleteMonitorsMonitorID

func NewDeleteMonitorsMonitorIDParams

func NewDeleteMonitorsMonitorIDParams() DeleteMonitorsMonitorIDParams

NewDeleteMonitorsMonitorIDParams creates a new DeleteMonitorsMonitorIDParams object

There are no default values defined in the spec.

func (*DeleteMonitorsMonitorIDParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewDeleteMonitorsMonitorIDParams() beforehand.

type DeleteMonitorsMonitorIDURL

type DeleteMonitorsMonitorIDURL struct {
	MonitorID strfmt.UUID
	// contains filtered or unexported fields
}

DeleteMonitorsMonitorIDURL generates an URL for the delete monitors monitor ID operation

func (*DeleteMonitorsMonitorIDURL) Build

func (o *DeleteMonitorsMonitorIDURL) Build() (*url.URL, error)

Build a url path and query string

func (*DeleteMonitorsMonitorIDURL) BuildFull

func (o *DeleteMonitorsMonitorIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*DeleteMonitorsMonitorIDURL) Must

func (o *DeleteMonitorsMonitorIDURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*DeleteMonitorsMonitorIDURL) SetBasePath

func (o *DeleteMonitorsMonitorIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*DeleteMonitorsMonitorIDURL) String

func (o *DeleteMonitorsMonitorIDURL) String() string

String returns the string representation of the path with query string

func (*DeleteMonitorsMonitorIDURL) StringFull

func (o *DeleteMonitorsMonitorIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*DeleteMonitorsMonitorIDURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetMonitors

type GetMonitors struct {
	Context *middleware.Context
	Handler GetMonitorsHandler
}
GetMonitors swagger:route GET /monitors Monitors getMonitors

List monitors

func NewGetMonitors

func NewGetMonitors(ctx *middleware.Context, handler GetMonitorsHandler) *GetMonitors

NewGetMonitors creates a new http.Handler for the get monitors operation

func (*GetMonitors) ServeHTTP

func (o *GetMonitors) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetMonitorsBadRequest

type GetMonitorsBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetMonitorsBadRequest Bad request

swagger:response getMonitorsBadRequest

func NewGetMonitorsBadRequest

func NewGetMonitorsBadRequest() *GetMonitorsBadRequest

NewGetMonitorsBadRequest creates GetMonitorsBadRequest with default headers values

func (*GetMonitorsBadRequest) SetPayload

func (o *GetMonitorsBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the get monitors bad request response

func (*GetMonitorsBadRequest) WithPayload

func (o *GetMonitorsBadRequest) WithPayload(payload *models.Error) *GetMonitorsBadRequest

WithPayload adds the payload to the get monitors bad request response

func (*GetMonitorsBadRequest) WriteResponse

func (o *GetMonitorsBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetMonitorsDefault

type GetMonitorsDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetMonitorsDefault Unexpected Error

swagger:response getMonitorsDefault

func NewGetMonitorsDefault

func NewGetMonitorsDefault(code int) *GetMonitorsDefault

NewGetMonitorsDefault creates GetMonitorsDefault with default headers values

func (*GetMonitorsDefault) SetPayload

func (o *GetMonitorsDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get monitors default response

func (*GetMonitorsDefault) SetStatusCode

func (o *GetMonitorsDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get monitors default response

func (*GetMonitorsDefault) WithPayload

func (o *GetMonitorsDefault) WithPayload(payload *models.Error) *GetMonitorsDefault

WithPayload adds the payload to the get monitors default response

func (*GetMonitorsDefault) WithStatusCode

func (o *GetMonitorsDefault) WithStatusCode(code int) *GetMonitorsDefault

WithStatusCode adds the status to the get monitors default response

func (*GetMonitorsDefault) WriteResponse

func (o *GetMonitorsDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetMonitorsHandler

type GetMonitorsHandler interface {
	Handle(GetMonitorsParams) middleware.Responder
}

GetMonitorsHandler interface for that can handle valid get monitors params

type GetMonitorsHandlerFunc

type GetMonitorsHandlerFunc func(GetMonitorsParams) middleware.Responder

GetMonitorsHandlerFunc turns a function with the right signature into a get monitors handler

func (GetMonitorsHandlerFunc) Handle

Handle executing the request and returning a response

type GetMonitorsMonitorID

type GetMonitorsMonitorID struct {
	Context *middleware.Context
	Handler GetMonitorsMonitorIDHandler
}
GetMonitorsMonitorID swagger:route GET /monitors/{monitor_id} Monitors getMonitorsMonitorId

Show monitor detail

func NewGetMonitorsMonitorID

func NewGetMonitorsMonitorID(ctx *middleware.Context, handler GetMonitorsMonitorIDHandler) *GetMonitorsMonitorID

NewGetMonitorsMonitorID creates a new http.Handler for the get monitors monitor ID operation

func (*GetMonitorsMonitorID) ServeHTTP

func (o *GetMonitorsMonitorID) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetMonitorsMonitorIDDefault

type GetMonitorsMonitorIDDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetMonitorsMonitorIDDefault Unexpected Error

swagger:response getMonitorsMonitorIdDefault

func NewGetMonitorsMonitorIDDefault

func NewGetMonitorsMonitorIDDefault(code int) *GetMonitorsMonitorIDDefault

NewGetMonitorsMonitorIDDefault creates GetMonitorsMonitorIDDefault with default headers values

func (*GetMonitorsMonitorIDDefault) SetPayload

func (o *GetMonitorsMonitorIDDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get monitors monitor ID default response

func (*GetMonitorsMonitorIDDefault) SetStatusCode

func (o *GetMonitorsMonitorIDDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get monitors monitor ID default response

func (*GetMonitorsMonitorIDDefault) WithPayload

WithPayload adds the payload to the get monitors monitor ID default response

func (*GetMonitorsMonitorIDDefault) WithStatusCode

WithStatusCode adds the status to the get monitors monitor ID default response

func (*GetMonitorsMonitorIDDefault) WriteResponse

func (o *GetMonitorsMonitorIDDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetMonitorsMonitorIDHandler

type GetMonitorsMonitorIDHandler interface {
	Handle(GetMonitorsMonitorIDParams) middleware.Responder
}

GetMonitorsMonitorIDHandler interface for that can handle valid get monitors monitor ID params

type GetMonitorsMonitorIDHandlerFunc

type GetMonitorsMonitorIDHandlerFunc func(GetMonitorsMonitorIDParams) middleware.Responder

GetMonitorsMonitorIDHandlerFunc turns a function with the right signature into a get monitors monitor ID handler

func (GetMonitorsMonitorIDHandlerFunc) Handle

Handle executing the request and returning a response

type GetMonitorsMonitorIDNotFound

type GetMonitorsMonitorIDNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetMonitorsMonitorIDNotFound Not Found

swagger:response getMonitorsMonitorIdNotFound

func NewGetMonitorsMonitorIDNotFound

func NewGetMonitorsMonitorIDNotFound() *GetMonitorsMonitorIDNotFound

NewGetMonitorsMonitorIDNotFound creates GetMonitorsMonitorIDNotFound with default headers values

func (*GetMonitorsMonitorIDNotFound) SetPayload

func (o *GetMonitorsMonitorIDNotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the get monitors monitor Id not found response

func (*GetMonitorsMonitorIDNotFound) WithPayload

WithPayload adds the payload to the get monitors monitor Id not found response

func (*GetMonitorsMonitorIDNotFound) WriteResponse

func (o *GetMonitorsMonitorIDNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetMonitorsMonitorIDOK

type GetMonitorsMonitorIDOK struct {

	/*
	  In: Body
	*/
	Payload *GetMonitorsMonitorIDOKBody `json:"body,omitempty"`
}

GetMonitorsMonitorIDOK Shows the details of a specific monitor.

swagger:response getMonitorsMonitorIdOK

func NewGetMonitorsMonitorIDOK

func NewGetMonitorsMonitorIDOK() *GetMonitorsMonitorIDOK

NewGetMonitorsMonitorIDOK creates GetMonitorsMonitorIDOK with default headers values

func (*GetMonitorsMonitorIDOK) SetPayload

func (o *GetMonitorsMonitorIDOK) SetPayload(payload *GetMonitorsMonitorIDOKBody)

SetPayload sets the payload to the get monitors monitor Id o k response

func (*GetMonitorsMonitorIDOK) WithPayload

WithPayload adds the payload to the get monitors monitor Id o k response

func (*GetMonitorsMonitorIDOK) WriteResponse

func (o *GetMonitorsMonitorIDOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetMonitorsMonitorIDOKBody

type GetMonitorsMonitorIDOKBody struct {

	// monitor
	Monitor *models.Monitor `json:"monitor,omitempty"`
}

GetMonitorsMonitorIDOKBody get monitors monitor ID o k body

swagger:model GetMonitorsMonitorIDOKBody

func (*GetMonitorsMonitorIDOKBody) ContextValidate

func (o *GetMonitorsMonitorIDOKBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validate this get monitors monitor ID o k body based on the context it is used

func (*GetMonitorsMonitorIDOKBody) MarshalBinary

func (o *GetMonitorsMonitorIDOKBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*GetMonitorsMonitorIDOKBody) UnmarshalBinary

func (o *GetMonitorsMonitorIDOKBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*GetMonitorsMonitorIDOKBody) Validate

func (o *GetMonitorsMonitorIDOKBody) Validate(formats strfmt.Registry) error

Validate validates this get monitors monitor ID o k body

type GetMonitorsMonitorIDParams

type GetMonitorsMonitorIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*The UUID of the monitor
	  Required: true
	  In: path
	*/
	MonitorID strfmt.UUID
}

GetMonitorsMonitorIDParams contains all the bound params for the get monitors monitor ID operation typically these are obtained from a http.Request

swagger:parameters GetMonitorsMonitorID

func NewGetMonitorsMonitorIDParams

func NewGetMonitorsMonitorIDParams() GetMonitorsMonitorIDParams

NewGetMonitorsMonitorIDParams creates a new GetMonitorsMonitorIDParams object

There are no default values defined in the spec.

func (*GetMonitorsMonitorIDParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetMonitorsMonitorIDParams() beforehand.

type GetMonitorsMonitorIDURL

type GetMonitorsMonitorIDURL struct {
	MonitorID strfmt.UUID
	// contains filtered or unexported fields
}

GetMonitorsMonitorIDURL generates an URL for the get monitors monitor ID operation

func (*GetMonitorsMonitorIDURL) Build

func (o *GetMonitorsMonitorIDURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetMonitorsMonitorIDURL) BuildFull

func (o *GetMonitorsMonitorIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetMonitorsMonitorIDURL) Must

func (o *GetMonitorsMonitorIDURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetMonitorsMonitorIDURL) SetBasePath

func (o *GetMonitorsMonitorIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetMonitorsMonitorIDURL) String

func (o *GetMonitorsMonitorIDURL) String() string

String returns the string representation of the path with query string

func (*GetMonitorsMonitorIDURL) StringFull

func (o *GetMonitorsMonitorIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetMonitorsMonitorIDURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetMonitorsOK

type GetMonitorsOK struct {

	/*
	  In: Body
	*/
	Payload *GetMonitorsOKBody `json:"body,omitempty"`
}

GetMonitorsOK A JSON array of monitors

swagger:response getMonitorsOK

func NewGetMonitorsOK

func NewGetMonitorsOK() *GetMonitorsOK

NewGetMonitorsOK creates GetMonitorsOK with default headers values

func (*GetMonitorsOK) SetPayload

func (o *GetMonitorsOK) SetPayload(payload *GetMonitorsOKBody)

SetPayload sets the payload to the get monitors o k response

func (*GetMonitorsOK) WithPayload

func (o *GetMonitorsOK) WithPayload(payload *GetMonitorsOKBody) *GetMonitorsOK

WithPayload adds the payload to the get monitors o k response

func (*GetMonitorsOK) WriteResponse

func (o *GetMonitorsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetMonitorsOKBody

type GetMonitorsOKBody struct {

	// links
	Links []*models.Link `json:"links,omitempty"`

	// monitors
	Monitors []*models.Monitor `json:"monitors"`
}

GetMonitorsOKBody get monitors o k body

swagger:model GetMonitorsOKBody

func (*GetMonitorsOKBody) ContextValidate

func (o *GetMonitorsOKBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validate this get monitors o k body based on the context it is used

func (*GetMonitorsOKBody) MarshalBinary

func (o *GetMonitorsOKBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*GetMonitorsOKBody) UnmarshalBinary

func (o *GetMonitorsOKBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*GetMonitorsOKBody) Validate

func (o *GetMonitorsOKBody) Validate(formats strfmt.Registry) error

Validate validates this get monitors o k body

type GetMonitorsParams

type GetMonitorsParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Sets the page size.
	  In: query
	*/
	Limit *int64
	/*Pagination ID of the last item in the previous list.
	  In: query
	*/
	Marker *strfmt.UUID
	/*Sets the page direction.
	  In: query
	*/
	PageReverse *bool
	/*Pool ID of the monitors to fetch
	  In: query
	*/
	PoolID *strfmt.UUID
	/*Comma-separated list of sort keys, optinally prefix with - to reverse sort order.
	  In: query
	*/
	Sort *string
}

GetMonitorsParams contains all the bound params for the get monitors operation typically these are obtained from a http.Request

swagger:parameters GetMonitors

func NewGetMonitorsParams

func NewGetMonitorsParams() GetMonitorsParams

NewGetMonitorsParams creates a new GetMonitorsParams object

There are no default values defined in the spec.

func (*GetMonitorsParams) BindRequest

func (o *GetMonitorsParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetMonitorsParams() beforehand.

type GetMonitorsURL

type GetMonitorsURL struct {
	Limit       *int64
	Marker      *strfmt.UUID
	PageReverse *bool
	PoolID      *strfmt.UUID
	Sort        *string
	// contains filtered or unexported fields
}

GetMonitorsURL generates an URL for the get monitors operation

func (*GetMonitorsURL) Build

func (o *GetMonitorsURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetMonitorsURL) BuildFull

func (o *GetMonitorsURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetMonitorsURL) Must

func (o *GetMonitorsURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetMonitorsURL) SetBasePath

func (o *GetMonitorsURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetMonitorsURL) String

func (o *GetMonitorsURL) String() string

String returns the string representation of the path with query string

func (*GetMonitorsURL) StringFull

func (o *GetMonitorsURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetMonitorsURL) WithBasePath

func (o *GetMonitorsURL) WithBasePath(bp string) *GetMonitorsURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type PostMonitors

type PostMonitors struct {
	Context *middleware.Context
	Handler PostMonitorsHandler
}
PostMonitors swagger:route POST /monitors Monitors postMonitors

Create new monitor

func NewPostMonitors

func NewPostMonitors(ctx *middleware.Context, handler PostMonitorsHandler) *PostMonitors

NewPostMonitors creates a new http.Handler for the post monitors operation

func (*PostMonitors) ServeHTTP

func (o *PostMonitors) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type PostMonitorsBadRequest

type PostMonitorsBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

PostMonitorsBadRequest Bad request

swagger:response postMonitorsBadRequest

func NewPostMonitorsBadRequest

func NewPostMonitorsBadRequest() *PostMonitorsBadRequest

NewPostMonitorsBadRequest creates PostMonitorsBadRequest with default headers values

func (*PostMonitorsBadRequest) SetPayload

func (o *PostMonitorsBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the post monitors bad request response

func (*PostMonitorsBadRequest) WithPayload

func (o *PostMonitorsBadRequest) WithPayload(payload *models.Error) *PostMonitorsBadRequest

WithPayload adds the payload to the post monitors bad request response

func (*PostMonitorsBadRequest) WriteResponse

func (o *PostMonitorsBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostMonitorsBody

type PostMonitorsBody struct {

	// monitor
	// Required: true
	Monitor *models.Monitor `json:"monitor"`
}

PostMonitorsBody post monitors body

swagger:model PostMonitorsBody

func (*PostMonitorsBody) ContextValidate

func (o *PostMonitorsBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validate this post monitors body based on the context it is used

func (*PostMonitorsBody) MarshalBinary

func (o *PostMonitorsBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*PostMonitorsBody) UnmarshalBinary

func (o *PostMonitorsBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*PostMonitorsBody) Validate

func (o *PostMonitorsBody) Validate(formats strfmt.Registry) error

Validate validates this post monitors body

type PostMonitorsCreated

type PostMonitorsCreated struct {

	/*
	  In: Body
	*/
	Payload *PostMonitorsCreatedBody `json:"body,omitempty"`
}

PostMonitorsCreated Created monitor.

swagger:response postMonitorsCreated

func NewPostMonitorsCreated

func NewPostMonitorsCreated() *PostMonitorsCreated

NewPostMonitorsCreated creates PostMonitorsCreated with default headers values

func (*PostMonitorsCreated) SetPayload

func (o *PostMonitorsCreated) SetPayload(payload *PostMonitorsCreatedBody)

SetPayload sets the payload to the post monitors created response

func (*PostMonitorsCreated) WithPayload

WithPayload adds the payload to the post monitors created response

func (*PostMonitorsCreated) WriteResponse

func (o *PostMonitorsCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostMonitorsCreatedBody

type PostMonitorsCreatedBody struct {

	// monitor
	Monitor *models.Monitor `json:"monitor,omitempty"`
}

PostMonitorsCreatedBody post monitors created body

swagger:model PostMonitorsCreatedBody

func (*PostMonitorsCreatedBody) ContextValidate

func (o *PostMonitorsCreatedBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validate this post monitors created body based on the context it is used

func (*PostMonitorsCreatedBody) MarshalBinary

func (o *PostMonitorsCreatedBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*PostMonitorsCreatedBody) UnmarshalBinary

func (o *PostMonitorsCreatedBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*PostMonitorsCreatedBody) Validate

func (o *PostMonitorsCreatedBody) Validate(formats strfmt.Registry) error

Validate validates this post monitors created body

type PostMonitorsDefault

type PostMonitorsDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

PostMonitorsDefault Unexpected Error

swagger:response postMonitorsDefault

func NewPostMonitorsDefault

func NewPostMonitorsDefault(code int) *PostMonitorsDefault

NewPostMonitorsDefault creates PostMonitorsDefault with default headers values

func (*PostMonitorsDefault) SetPayload

func (o *PostMonitorsDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the post monitors default response

func (*PostMonitorsDefault) SetStatusCode

func (o *PostMonitorsDefault) SetStatusCode(code int)

SetStatusCode sets the status to the post monitors default response

func (*PostMonitorsDefault) WithPayload

func (o *PostMonitorsDefault) WithPayload(payload *models.Error) *PostMonitorsDefault

WithPayload adds the payload to the post monitors default response

func (*PostMonitorsDefault) WithStatusCode

func (o *PostMonitorsDefault) WithStatusCode(code int) *PostMonitorsDefault

WithStatusCode adds the status to the post monitors default response

func (*PostMonitorsDefault) WriteResponse

func (o *PostMonitorsDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostMonitorsHandler

type PostMonitorsHandler interface {
	Handle(PostMonitorsParams) middleware.Responder
}

PostMonitorsHandler interface for that can handle valid post monitors params

type PostMonitorsHandlerFunc

type PostMonitorsHandlerFunc func(PostMonitorsParams) middleware.Responder

PostMonitorsHandlerFunc turns a function with the right signature into a post monitors handler

func (PostMonitorsHandlerFunc) Handle

Handle executing the request and returning a response

type PostMonitorsNotFound

type PostMonitorsNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

PostMonitorsNotFound Not Found

swagger:response postMonitorsNotFound

func NewPostMonitorsNotFound

func NewPostMonitorsNotFound() *PostMonitorsNotFound

NewPostMonitorsNotFound creates PostMonitorsNotFound with default headers values

func (*PostMonitorsNotFound) SetPayload

func (o *PostMonitorsNotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the post monitors not found response

func (*PostMonitorsNotFound) WithPayload

func (o *PostMonitorsNotFound) WithPayload(payload *models.Error) *PostMonitorsNotFound

WithPayload adds the payload to the post monitors not found response

func (*PostMonitorsNotFound) WriteResponse

func (o *PostMonitorsNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PostMonitorsParams

type PostMonitorsParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: body
	*/
	Monitor PostMonitorsBody
}

PostMonitorsParams contains all the bound params for the post monitors operation typically these are obtained from a http.Request

swagger:parameters PostMonitors

func NewPostMonitorsParams

func NewPostMonitorsParams() PostMonitorsParams

NewPostMonitorsParams creates a new PostMonitorsParams object

There are no default values defined in the spec.

func (*PostMonitorsParams) BindRequest

func (o *PostMonitorsParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewPostMonitorsParams() beforehand.

type PostMonitorsURL

type PostMonitorsURL struct {
	// contains filtered or unexported fields
}

PostMonitorsURL generates an URL for the post monitors operation

func (*PostMonitorsURL) Build

func (o *PostMonitorsURL) Build() (*url.URL, error)

Build a url path and query string

func (*PostMonitorsURL) BuildFull

func (o *PostMonitorsURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*PostMonitorsURL) Must

func (o *PostMonitorsURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*PostMonitorsURL) SetBasePath

func (o *PostMonitorsURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*PostMonitorsURL) String

func (o *PostMonitorsURL) String() string

String returns the string representation of the path with query string

func (*PostMonitorsURL) StringFull

func (o *PostMonitorsURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*PostMonitorsURL) WithBasePath

func (o *PostMonitorsURL) WithBasePath(bp string) *PostMonitorsURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type PutMonitorsMonitorID

type PutMonitorsMonitorID struct {
	Context *middleware.Context
	Handler PutMonitorsMonitorIDHandler
}
PutMonitorsMonitorID swagger:route PUT /monitors/{monitor_id} Monitors putMonitorsMonitorId

Update a monitor

func NewPutMonitorsMonitorID

func NewPutMonitorsMonitorID(ctx *middleware.Context, handler PutMonitorsMonitorIDHandler) *PutMonitorsMonitorID

NewPutMonitorsMonitorID creates a new http.Handler for the put monitors monitor ID operation

func (*PutMonitorsMonitorID) ServeHTTP

func (o *PutMonitorsMonitorID) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type PutMonitorsMonitorIDAccepted

type PutMonitorsMonitorIDAccepted struct {

	/*
	  In: Body
	*/
	Payload *PutMonitorsMonitorIDAcceptedBody `json:"body,omitempty"`
}

PutMonitorsMonitorIDAccepted Updated monitor.

swagger:response putMonitorsMonitorIdAccepted

func NewPutMonitorsMonitorIDAccepted

func NewPutMonitorsMonitorIDAccepted() *PutMonitorsMonitorIDAccepted

NewPutMonitorsMonitorIDAccepted creates PutMonitorsMonitorIDAccepted with default headers values

func (*PutMonitorsMonitorIDAccepted) SetPayload

SetPayload sets the payload to the put monitors monitor Id accepted response

func (*PutMonitorsMonitorIDAccepted) WithPayload

WithPayload adds the payload to the put monitors monitor Id accepted response

func (*PutMonitorsMonitorIDAccepted) WriteResponse

func (o *PutMonitorsMonitorIDAccepted) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PutMonitorsMonitorIDAcceptedBody

type PutMonitorsMonitorIDAcceptedBody struct {

	// monitor
	Monitor *models.Monitor `json:"monitor,omitempty"`
}

PutMonitorsMonitorIDAcceptedBody put monitors monitor ID accepted body

swagger:model PutMonitorsMonitorIDAcceptedBody

func (*PutMonitorsMonitorIDAcceptedBody) ContextValidate

func (o *PutMonitorsMonitorIDAcceptedBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validate this put monitors monitor ID accepted body based on the context it is used

func (*PutMonitorsMonitorIDAcceptedBody) MarshalBinary

func (o *PutMonitorsMonitorIDAcceptedBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*PutMonitorsMonitorIDAcceptedBody) UnmarshalBinary

func (o *PutMonitorsMonitorIDAcceptedBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*PutMonitorsMonitorIDAcceptedBody) Validate

Validate validates this put monitors monitor ID accepted body

type PutMonitorsMonitorIDBadRequest

type PutMonitorsMonitorIDBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

PutMonitorsMonitorIDBadRequest Bad request

swagger:response putMonitorsMonitorIdBadRequest

func NewPutMonitorsMonitorIDBadRequest

func NewPutMonitorsMonitorIDBadRequest() *PutMonitorsMonitorIDBadRequest

NewPutMonitorsMonitorIDBadRequest creates PutMonitorsMonitorIDBadRequest with default headers values

func (*PutMonitorsMonitorIDBadRequest) SetPayload

func (o *PutMonitorsMonitorIDBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the put monitors monitor Id bad request response

func (*PutMonitorsMonitorIDBadRequest) WithPayload

WithPayload adds the payload to the put monitors monitor Id bad request response

func (*PutMonitorsMonitorIDBadRequest) WriteResponse

func (o *PutMonitorsMonitorIDBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PutMonitorsMonitorIDBody

type PutMonitorsMonitorIDBody struct {

	// monitor
	// Required: true
	Monitor *models.Monitor `json:"monitor"`
}

PutMonitorsMonitorIDBody put monitors monitor ID body

swagger:model PutMonitorsMonitorIDBody

func (*PutMonitorsMonitorIDBody) ContextValidate

func (o *PutMonitorsMonitorIDBody) ContextValidate(ctx context.Context, formats strfmt.Registry) error

ContextValidate validate this put monitors monitor ID body based on the context it is used

func (*PutMonitorsMonitorIDBody) MarshalBinary

func (o *PutMonitorsMonitorIDBody) MarshalBinary() ([]byte, error)

MarshalBinary interface implementation

func (*PutMonitorsMonitorIDBody) UnmarshalBinary

func (o *PutMonitorsMonitorIDBody) UnmarshalBinary(b []byte) error

UnmarshalBinary interface implementation

func (*PutMonitorsMonitorIDBody) Validate

func (o *PutMonitorsMonitorIDBody) Validate(formats strfmt.Registry) error

Validate validates this put monitors monitor ID body

type PutMonitorsMonitorIDDefault

type PutMonitorsMonitorIDDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

PutMonitorsMonitorIDDefault Unexpected Error

swagger:response putMonitorsMonitorIdDefault

func NewPutMonitorsMonitorIDDefault

func NewPutMonitorsMonitorIDDefault(code int) *PutMonitorsMonitorIDDefault

NewPutMonitorsMonitorIDDefault creates PutMonitorsMonitorIDDefault with default headers values

func (*PutMonitorsMonitorIDDefault) SetPayload

func (o *PutMonitorsMonitorIDDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the put monitors monitor ID default response

func (*PutMonitorsMonitorIDDefault) SetStatusCode

func (o *PutMonitorsMonitorIDDefault) SetStatusCode(code int)

SetStatusCode sets the status to the put monitors monitor ID default response

func (*PutMonitorsMonitorIDDefault) WithPayload

WithPayload adds the payload to the put monitors monitor ID default response

func (*PutMonitorsMonitorIDDefault) WithStatusCode

WithStatusCode adds the status to the put monitors monitor ID default response

func (*PutMonitorsMonitorIDDefault) WriteResponse

func (o *PutMonitorsMonitorIDDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PutMonitorsMonitorIDHandler

type PutMonitorsMonitorIDHandler interface {
	Handle(PutMonitorsMonitorIDParams) middleware.Responder
}

PutMonitorsMonitorIDHandler interface for that can handle valid put monitors monitor ID params

type PutMonitorsMonitorIDHandlerFunc

type PutMonitorsMonitorIDHandlerFunc func(PutMonitorsMonitorIDParams) middleware.Responder

PutMonitorsMonitorIDHandlerFunc turns a function with the right signature into a put monitors monitor ID handler

func (PutMonitorsMonitorIDHandlerFunc) Handle

Handle executing the request and returning a response

type PutMonitorsMonitorIDNotFound

type PutMonitorsMonitorIDNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

PutMonitorsMonitorIDNotFound Not Found

swagger:response putMonitorsMonitorIdNotFound

func NewPutMonitorsMonitorIDNotFound

func NewPutMonitorsMonitorIDNotFound() *PutMonitorsMonitorIDNotFound

NewPutMonitorsMonitorIDNotFound creates PutMonitorsMonitorIDNotFound with default headers values

func (*PutMonitorsMonitorIDNotFound) SetPayload

func (o *PutMonitorsMonitorIDNotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the put monitors monitor Id not found response

func (*PutMonitorsMonitorIDNotFound) WithPayload

WithPayload adds the payload to the put monitors monitor Id not found response

func (*PutMonitorsMonitorIDNotFound) WriteResponse

func (o *PutMonitorsMonitorIDNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type PutMonitorsMonitorIDParams

type PutMonitorsMonitorIDParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: body
	*/
	Monitor PutMonitorsMonitorIDBody
	/*The UUID of the monitor
	  Required: true
	  In: path
	*/
	MonitorID strfmt.UUID
}

PutMonitorsMonitorIDParams contains all the bound params for the put monitors monitor ID operation typically these are obtained from a http.Request

swagger:parameters PutMonitorsMonitorID

func NewPutMonitorsMonitorIDParams

func NewPutMonitorsMonitorIDParams() PutMonitorsMonitorIDParams

NewPutMonitorsMonitorIDParams creates a new PutMonitorsMonitorIDParams object

There are no default values defined in the spec.

func (*PutMonitorsMonitorIDParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewPutMonitorsMonitorIDParams() beforehand.

type PutMonitorsMonitorIDURL

type PutMonitorsMonitorIDURL struct {
	MonitorID strfmt.UUID
	// contains filtered or unexported fields
}

PutMonitorsMonitorIDURL generates an URL for the put monitors monitor ID operation

func (*PutMonitorsMonitorIDURL) Build

func (o *PutMonitorsMonitorIDURL) Build() (*url.URL, error)

Build a url path and query string

func (*PutMonitorsMonitorIDURL) BuildFull

func (o *PutMonitorsMonitorIDURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*PutMonitorsMonitorIDURL) Must

func (o *PutMonitorsMonitorIDURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*PutMonitorsMonitorIDURL) SetBasePath

func (o *PutMonitorsMonitorIDURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*PutMonitorsMonitorIDURL) String

func (o *PutMonitorsMonitorIDURL) String() string

String returns the string representation of the path with query string

func (*PutMonitorsMonitorIDURL) StringFull

func (o *PutMonitorsMonitorIDURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*PutMonitorsMonitorIDURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL